Bug 780529 - (SOA-2964) SOA-P 5.1 is missing smooks fixed length converter
SOA-P 5.1 is missing smooks fixed length converter
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.2.0 GA,5.2.0.ER2
Assigned To: Tom Fennelly
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-04 06:54 EST by Wanja Pernath
Modified: 2011-11-04 08:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
SOA-P 5.1 on Fedora 14
Last Closed: 2011-11-04 08:01:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2964 None None None Never

  None (edit)
Description Wanja Pernath 2011-03-04 06:54:27 EST
project_key: SOA

Smooks Documentation for SOA-P 5.1 is talking about a Fixed Length smooks processer:

http://docs.redhat.com/docs/en-US/JBoss_Enterprise_SOA_Platform/5/html/Smooks_User_Guide/Smooks_Processing_Non_XML.html#sect-Processing_Fixed_Length

However, if you're trying to use it, you'll get an exception on Deployment:

org.xml.sax.SAXException: Failed to locate XSD resource '/META-INF/xsd/smooks/fixed-length-1.3.xsd' on classpath. Namespace: 'http://www.milyn.org/xsd/smooks/fixed-length-1.3.xsd'


If you're doing a 

find /path/to/soa-p-5.1.GA/ -iname '*smooks*.jar' 


You'll find a JAR for every single transformer/processor but fixed length.
Comment 1 tcunning 2011-04-06 11:11:08 EDT
Need to confirm that this is in smooks-1.4.
Comment 2 tcunning 2011-04-08 15:26:00 EDT
Smooks 1.2.5 went into SOA-P 5.1, the fixed length converter debuted in Smooks 1.3.1. 
Comment 3 tcunning 2011-07-08 15:23:45 EDT
Smooks 1.4 went into ESB 4.10 and is in the current SOA-P build.
Comment 4 David Le Sage 2011-09-01 00:32:01 EDT
Release Notes Docs Status: Added: Not Required
Writer: Added: dlesage
Comment 5 Martin Vecera 2011-11-04 08:01:13 EDT
Verified with ER6

Note You need to log in before you can comment on or make changes to this bug.